Loading...
Searching...
No Matches
Client working copy management

Client working copy management functions. More...

## Topics

| Checkout
| Bring a working copy up-to-date with a repository
| Switch a working copy to another location.
| Begin versioning files/directories in a working copy.
| Create directories in a working copy or repository.
| Remove files/directories from a working copy or repository.
| Import files into the repository.
| Commit local modifications to the repository.
| Report interesting information about paths in the working copy.
| View information about previous revisions of an object.
| Show modification information about lines in a file.
| Generate differences between paths.
| Merge changes between branches.
| Cleanup an abnormally terminated working copy.
| Upgrade a working copy.
| Switch a working copy to a different repository.
| Remove local changes in a repository.
| Dealing with conflicted paths.
| Mark conflicted paths as resolved.
| Copy paths in the working copy and repository.
| Move paths in the working copy or repository.
| Property functions
| Properties.
| Export a tree from version control.
| List / ls
| View the contents of a file in the repository.
| Client Changelist Functions
| Changelist commands.
| Client Locking Functions
| Locking commands.
| Show repository information about a working copy.
| Apply a patch to the working copy

## Typedefs

typedef svn_error_t *(* | svn_client__layout_func_t) (void *layout_baton, const char *local_abspath, const char *repos_root_url, svn_boolean_t not_present, svn_boolean_t url_changed, const char *url, svn_boolean_t revision_changed, svn_revnum_t revision, svn_boolean_t depth_changed, svn_depth_t depth, apr_pool_t *scratch_pool)
| Callback for svn_client__layout_list().

## Functions

svn_error_t * | svn_client__layout_list (const char *local_abspath, svn_client__layout_func_t layout, void *layout_baton, svn_client_ctx_t *ctx, apr_pool_t *scratch_pool)
| Describe the layout of the working copy below local_abspath to the callback layout.

## Detailed Description

Client working copy management functions.

## Typedef Documentation

## svn_client__layout_func_t

typedef svn_error_t *(* svn_client__layout_func_t) (void *layout_baton, const char *local_abspath, const char *repos_root_url, svn_boolean_t not_present, svn_boolean_t url_changed, const char *url, svn_boolean_t revision_changed, svn_revnum_t revision, svn_boolean_t depth_changed, svn_depth_t depth, apr_pool_t *scratch_pool)

Callback for svn_client__layout_list().

Warning
  EXPERIMENTAL.

Definition at line 1592 of file svn_client.h.

## Function Documentation

## svn_client__layout_list()

svn_error_t * svn_client__layout_list | ( | const char * | local_abspath,
|  | svn_client__layout_func_t | layout,
|  | void * | layout_baton,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | scratch_pool )

Describe the layout of the working copy below local_abspath to the callback layout.

Warning
  EXPERIMENTAL.